Subject: check for argp header

From: Nikita Gillmann <[email-masked]>
Date: Fri, 15 May 2020 14:30:27 +0200

Hi,

as mentioned in IRC I have begun porting Guix to NetBSD (with the path
taken not yet decided upon, just plain building guix itself for now).

Glibc provides argp. Arguably we don't have to check for argp because
Guix targets glibc. But I am quiete certain that there will be people
who will attempt to do what I am doing and run into this.

I haven't tested this, but semantically it should check out. I don't
know how much changed in guix's bootstrap but configure.ac should still be
the right place for this patch. 
From eb8214d2cd6b2170f6e05b89dbd8e47e1f0f4326 Mon Sep 17 00:00:00 2001
From: nikita <[email-masked]>
Date: Fri, 15 May 2020 14:23:48 +0200
Subject: [PATCH] configure: check for arpg header as required by nix.

This is provided by glibc, porting to a platform without glibc
revealed this lack of check.
---
 configure.ac | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/configure.ac b/configure.ac
index 0a20b476eb..174633785a 100644
--- a/configure.ac
+++ b/configure.ac
@@ -266,6 +266,9 @@ else
 fi
 AC_SUBST([LIBLZ])
 
+# check for standard headers, required in Nix daemon
+AC_CHECK_HEADERS([argp.h])
+
 dnl Check for Guile-SSH, for the (guix ssh) module.
 GUIX_CHECK_GUILE_SSH
 AM_CONDITIONAL([HAVE_GUILE_SSH],
-- 
2.25.2